- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GPop::AuthImp Class Reference

A private pimple-pattern implementation class used by GPop::Auth. More...

## Public Member Functions
| AuthImp (const Secrets &)
bool | valid () const
bool | init (const std::string &mechanism)
bool | authenticated (const std::string &, const std::string &)
bool | mustChallenge () const
std::string | challenge ()
std::string | id () const
std::string | mechanisms () const
bool | sensitive () const

## Detailed Description

A private pimple-pattern implementation class used by GPop::Auth.

Definition at line 31 of file gpopauth.cpp.

## Constructor & Destructor Documentation

GPop::AuthImp::AuthImp | ( | const Secrets & | secrets | ) |
| explicit

Definition at line 51 of file gpopauth.cpp.

## Member Function Documentation

bool GPop::AuthImp::authenticated | ( | const std::string & | p1,
|  | const std::string & | p2
| ) |  |

Definition at line 69 of file gpopauth.cpp.

std::string GPop::AuthImp::challenge | ( |  | ) |

Definition at line 90 of file gpopauth.cpp.

std::string GPop::AuthImp::id | ( |  | ) | const

Definition at line 95 of file gpopauth.cpp.

bool GPop::AuthImp::init | ( | const std::string & | mechanism | ) |

Definition at line 63 of file gpopauth.cpp.

References G_DEBUG.

std::string GPop::AuthImp::mechanisms | ( |  | ) | const

Definition at line 100 of file gpopauth.cpp.

bool GPop::AuthImp::mustChallenge | ( |  | ) | const

Definition at line 85 of file gpopauth.cpp.

bool GPop::AuthImp::sensitive | ( |  | ) | const

Definition at line 105 of file gpopauth.cpp.

bool GPop::AuthImp::valid | ( |  | ) | const

Definition at line 58 of file gpopauth.cpp.

The documentation for this class was generated from the following file:

- gpopauth.cpp